OCC Main Page | ApplicationFramework | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# ApplicationFramework
TKPShape
PColPGeom2d

# PColPGeom2d_HArray1OfBoundedCurve Class Reference

`#include <PColPGeom2d_HArray1OfBoundedCurve.hxx>`

## Public Member Functions
Standard_EXPORT | PColPGeom2d_HArray1OfBoundedCurve (const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT | PColPGeom2d_HArray1OfBoundedCurve (const Standard_Integer Low, const Standard_Integer Up, const Handle(PGeom2d_BoundedCurve)&V)
Standard_Integer | Length () const
Standard_Integer | Lower () const
Standard_EXPORT void | SetValue (const Standard_Integer Index, const Handle(PGeom2d_BoundedCurve)&Value)
Standard_Integer | Upper () const
Standard_EXPORT Handle_PGeom2d_BoundedCurve | Value (const Standard_Integer Index) const
virtual Standard_EXPORT Handle_Standard_Persistent | ShallowCopy () const
virtual Standard_EXPORT void | ShallowDump (Standard_OStream &s) const
| PColPGeom2d_HArray1OfBoundedCurve ()
| PColPGeom2d_HArray1OfBoundedCurve (const Storage_stCONSTclCOM &a)
Standard_Integer | _CSFDB_GetPColPGeom2d_HArray1OfBoundedCurveLowerBound () const
void | _CSFDB_SetPColPGeom2d_HArray1OfBoundedCurveLowerBound (const Standard_Integer p)
Standard_Integer | _CSFDB_GetPColPGeom2d_HArray1OfBoundedCurveUpperBound () const
void | _CSFDB_SetPColPGeom2d_HArray1OfBoundedCurveUpperBound (const Standard_Integer p)
const PColPGeom2d_FieldOfHArray1OfBoundedCurve & | _CSFDB_GetPColPGeom2d_HArray1OfBoundedCurveData () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Member Functions
Standard_EXPORT PColPGeom2d_FieldOfHArray1OfBoundedCurve | Field () const
Standard_EXPORT Standard_Address | Datas () const
## Private Attributes
Standard_Integer | LowerBound
Standard_Integer | UpperBound
PColPGeom2d_FieldOfHArray1OfBoundedCurve | Data

## Constructor & Destructor Documentation

Standard_EXPORT PColPGeom2d_HArray1OfBoundedCurve::PColPGeom2d_HArray1OfBoundedCurve | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

Standard_EXPORT PColPGeom2d_HArray1OfBoundedCurve::PColPGeom2d_HArray1OfBoundedCurve | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up,
|  | const Handle(PGeom2d_BoundedCurve)& | V
| ) |

PColPGeom2d_HArray1OfBoundedCurve::PColPGeom2d_HArray1OfBoundedCurve | ( |  | ) | `[inline]`

PColPGeom2d_HArray1OfBoundedCurve::PColPGeom2d_HArray1OfBoundedCurve | ( | const Storage_stCONSTclCOM & | a | ) | `[inline]`

## Member Function Documentation

const PColPGeom2d_FieldOfHArray1OfBoundedCurve& PColPGeom2d_HArray1OfBoundedCurve::_CSFDB_GetPColPGeom2d_HArray1OfBoundedCurveData | ( |  | ) | const`[inline]`

Standard_Integer PColPGeom2d_HArray1OfBoundedCurve::_CSFDB_GetPColPGeom2d_HArray1OfBoundedCurveLowerBound | ( |  | ) | const`[inline]`

Standard_Integer PColPGeom2d_HArray1OfBoundedCurve::_CSFDB_GetPColPGeom2d_HArray1OfBoundedCurveUpperBound | ( |  | ) | const`[inline]`

void PColPGeom2d_HArray1OfBoundedCurve::_CSFDB_SetPColPGeom2d_HArray1OfBoundedCurveLowerBound | ( | const Standard_Integer | p | ) | `[inline]`

void PColPGeom2d_HArray1OfBoundedCurve::_CSFDB_SetPColPGeom2d_HArray1OfBoundedCurveUpperBound | ( | const Standard_Integer | p | ) | `[inline]`

Standard_EXPORT Standard_Address PColPGeom2d_HArray1OfBoundedCurve::Datas | ( |  | ) | const`[private]`

Standard_EXPORT PColPGeom2d_FieldOfHArray1OfBoundedCurve PColPGeom2d_HArray1OfBoundedCurve::Field | ( |  | ) | const`[private]`

Standard_EXPORT const PColPGeom2d_HArray1OfBoundedCurve::Handle | ( | Standard_Type |  | ) | const

Standard_Integer PColPGeom2d_HArray1OfBoundedCurve::Length | ( |  | ) | const

Standard_Integer PColPGeom2d_HArray1OfBoundedCurve::Lower | ( |  | ) | const

Standard_EXPORT void PColPGeom2d_HArray1OfBoundedCurve::SetValue | ( | const Standard_Integer | Index,
|  | const Handle(PGeom2d_BoundedCurve)& | Value
| ) |

virtual Standard_EXPORT Handle_Standard_Persistent PColPGeom2d_HArray1OfBoundedCurve::ShallowCopy | ( |  | ) | const`[virtual]`

virtual Standard_EXPORT void PColPGeom2d_HArray1OfBoundedCurve::ShallowDump | ( | Standard_OStream & | s | ) | const`[virtual]`

Standard_Integer PColPGeom2d_HArray1OfBoundedCurve::Upper | ( |  | ) | const

Standard_EXPORT Handle_PGeom2d_BoundedCurve PColPGeom2d_HArray1OfBoundedCurve::Value | ( | const Standard_Integer | Index | ) | const

## Field Documentation

PColPGeom2d_FieldOfHArray1OfBoundedCurve PColPGeom2d_HArray1OfBoundedCurve::Data`[private]`

Standard_Integer PColPGeom2d_HArray1OfBoundedCurve::LowerBound`[private]`

Standard_Integer PColPGeom2d_HArray1OfBoundedCurve::UpperBound`[private]`

The documentation for this class was generated from the following file:

- PColPGeom2d_HArray1OfBoundedCurve.hxx